program t_difx
use PSlib
implicit none

integer :: i, nx
real :: arg, dx, pi
real, allocatable, dimension (:) :: vin, vout, a
complex, allocatable, dimension (:) :: ckx

nx=32 
pi = 4.*atan(1.)
dx = 2.*pi/nx

allocate(vin(nx), vout(nx), a(nx), ckx(nx))

call wavnum(ckx,nx,dx,2)

do i=1, nx
   arg = 4.*pi*(i-1)/nx
   vin(i) = sin(arg)
   a(i) = -4.*sin(arg)
end do

call difx(vin,vout,ckx,nx)

do i=1, nx
   print*,i,a(i),vout(i)
end do

end program t_difx
